WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce - excelling eCommerce
update to 2.0 messed up my site, shop, events page, payment gateways (16 posts)

3 stars
  1. vrielance
    Member
    Posted 1 year ago #

    1
    Cannot open Woocommerce settings via dashboard (Fatal error: Class 'WC_Bitpay' not found in /home/vrielanc/public_html/ayurveda-hengelo.com/wp-content/plugins/woocommerce/classes/class-wc-payment-gateways.php on line 45). EDIT: solved this with the woocommerce -> WC option, and is now replaced by the following errors:

    Warning: ksort() expects parameter 1 to be array, null given in /home/vrielanc/public_html/ayurveda-hengelo.com/wp-content/plugins/woocommerce/classes/class-wc-payment-gateways.php on line 58

    and

    Warning: Invalid argument supplied for foreach() in /home/vrielanc/public_html/ayurveda-hengelo.com/wp-content/plugins/woocommerce/classes/class-wc-payment-gateways.php on line 90

    2
    Visitors cannot buy products now because of the same error message.

    3
    For some reason I cannot add events now

    Many other problems (and I solved but a few). This is going to take weeks of trouble shooting...

    Thank you very very much

  2. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    Hi,

    You have posted a review instead of a support request. 1 star reviews are not incentives to give assistance..

    Your problems are not even due to the core WooCommerce plugin. Your issue is the developers of your plugins have not updated them for 2.0 compatibility even though they have > 3 months of betas to test against. The author of BitPay needs to fix this.

    Thanks

  3. vrielance
    Member
    Posted 1 year ago #

    I did not post a support request. I simply gave an excerpt of my issues list to indicate all the work that is ahead of me.

    And please do not take me for a fool. If my problems are due to BitPay, then how come that when I change WooCommerce_Widget_Cart() to WC_Widget_Cart(), I regain access to the WC settings in Dashboard and the message dissapears only to be replaced by "Warning: ksort() expects parameter 1 to be array, null given in /home/vrielanc/public_html/ayurveda-hengelo.com/wp-content/plugins/woocommerce/classes/class-wc-payment-gateways.php on line 58"?
    Excuse me but this does not seem to be a Bitpay issue to me.

    And regarding the one star: I also give one star to myself for having "upgraded" to 2.0.

    Thanks

  4. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    I saw this the "Fatal error: Class 'WC_Bitpay' and assumed. The original comment was not well formatted, sorry if I misread :)

    ksort() expects parameter 1 to be array, null given would only occur if there were NO gateways present OR if you had some custom code loading gateways when they shouldn't be loaded.

    The error obviously isn't caused by core or we'd have had more reports by now, so it will be either 1/ A plugin you have installed or 2/ Some custom code or 3/ Your theme.

    You said you had to rename a widget from 'WooCommerce_Widget_Cart' - this means the theme adding that widget hasn't been tested in 2.0.

    I'd suggest turning everything off, re-activating things one by one to identify the culprit(s) and then either updating those (assuming the authors have tested 2.0, it was in beta/RC for 3 months after all) or letting the authors know.

    Please read these too:
    http://www.woothemes.com/2013/03/hello-woocommerce-2-0/
    http://www.woothemes.com/2013/02/preparing-your-website-for-woocommerce-2-0/
    http://docs.woothemes.com/document/woocommerce-1-6-6-2-0-plugin-and-theme-compatibility/

  5. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    I wonder, did you find the issue?

  6. hefestus
    Member
    Posted 1 year ago #

    And regarding the one star: I also give one star to myself for having "upgraded" to 2.0.

    Me to, this platform is joke for any business. But that's again my fault for choosing it!

  7. vrielance
    Member
    Posted 1 year ago #

    Thanks for your interest.
    No I didn't. I deactivated all plugins related to my shop and reinstalled Woo (and all the related plugins) from scratch (2.04). I can afford this since it is only a low profile shop. After this, there were some issues with Pronamic Ideal and also the suspected Bitcoin... which I resolved by changing (not updating...) thosed plugins.

    The update to 2.05 gave me the usual php editing, like removing

    <?php
    /**
    * woocommerce_sidebar hook
    *
    * @hooked woocommerce_get_sidebar - 10
    */
    do_action('woocommerce_sidebar');
    ?>

    from the archive-product.php and single-product.php pages for example.

    I will leave the updates for now. The shop is working again and the major woo change has blown over. See you at 2.5 :-).

    I should like to change my star rating to 3 because I was all shaken up at the time of my initial post (people wanting to order and all, pretty hectic). Woocommerce is a very good plugin, and like all the other plugins and themes it comes with issues. Progress never goed without them...

    Thanks for your help and interest! Keep up the good work!

    Marco

  8. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks, that would be appreciated.

    A small tip, instead of updating those files, how about adding this to your theme functions.php file?

    remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );

    Should do the trick ;)

  9. vrielance
    Member
    Posted 1 year ago #

    Thanks, I will try that. But my Woo is outside my theme (Atahualpa), will it work then?

    I am far from being an expert on php...

  10. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    I think that should work. Worth a try anyway.

  11. vrielance
    Member
    Posted 1 year ago #

    ok thanks

  12. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for that. It may also be useful to update the original review slightly, just so its more useful to those browsing through (the errors are 'scary' and they probably won't dig through this thread to find out about the two plugins which broke this, not to see you resolved the issues!).

    Cheers

  13. vrielance
    Member
    Posted 1 year ago #

    It may also be useful to update the original review slightly

    sure... but how? I cannot find an option to edit my original review

  14. Mike Jolley
    Member
    Plugin Author

    Posted 1 year ago #

    I have no idea :) I'm sure there has to be an edit button somewhere, or perhaps you use the same form you submitted it with before. I've seen people change them in the past :)

  15. invision-studios
    Member
    Posted 1 year ago #

    When I set up a website for a client, I actually create 2 sites - a LIVE site and a SANDBOX site. Separate installs of WP, separate instances of the database, etc. Even on shared hosting, you should be able to do this.

    Especially on an e-commerce site, this is a necessity. I really recommend it to anyone using WooCommerce or any other plugin/theme.

    The SANDBOX site is testing grounds for any upgrades, code tweaks, etc. It insulates my clients' live sites from any issues. Granted, I might have to upgrade twice, but it's worth the headaches to ensure the LIVE sites work well.

    I also allow my clients to train on the SANDBOX site, so if they mess up any orders don't mix with live orders, they can practice adding products, editing, and so forth.

  16. BrettF76
    Member
    Posted 6 months ago #

    Hi Everyone.

    I received a "Update" note on my admin page this morning. so i clicked update to 2.1. something. my website came straight back and gave me this error:

    Fatal error: Class 'WC_Payment_Gateway' not found in /home/hedcynvv/public_html/wp-content/plugins/woocommerce-gateway-payweb/classes/class-payweb.php on line 2

    Now i can't even get into my page or the admin side of it.
    http://www.hedcyclingsa.co.za

    Can anyone help?

    Please not i'm not an IT guy so support would be great in layman's terms.

    Regards

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.